import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/job/resumeDeliver/pageList", formData);
}

function exportXls(formData){
  return request.post(constant.serverUrl + "/job/resumeDeliver/exportXls", formData);
}

function create(){
  return request.get(constant.serverUrl + "/job/resumeDeliver/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/job/resumeDeliver/edit/" + id);
}

function edit3(id){
  return request.get(constant.serverUrl + "/job/resumeDeliver/edit3/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/job/resumeDeliver/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/job/resumeDeliver/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/job/resumeDeliver/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/job/resumeDeliver/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  create,edit,edit3,add,update,remove,batchRemove,pageList,exportXls
}